Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Content/job.view.js
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Content/job.view.js	(revision 9324)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Content/job.view.js	(revision 9324)
@@ -0,0 +1,213 @@
+﻿var OAAS_VIEW = (function (my, Backbone, _, $) {
+    // ================= VIEWS ===================
+    my.LoadingView = Backbone.View.extend({
+        render: function () {
+            this.$el.empty();
+            this.template = _.template($('#loadingTemplate').html());
+            $(this.template({ text: this.model })).appendTo(this.$el);
+        }
+    });
+
+    my.JobOverView = Backbone.View.extend({
+        events: {
+            'click tr': 'rowClicked',
+            'click button[data-name="DeleteButton"]': 'deleteClicked'
+        },
+        initialize: function () {
+            this.collection.bind('remove', this.render, this);
+            //this.collection.bind('a', this.render, this);
+        },
+        render: function () {
+            var prevSettings = null;
+            if (this.table) {
+                prevSettings = this.table.fnSettings();
+            }
+            this.$el.empty();
+            // create header
+            var table = $('<table />');
+            this.template = _.template($('#jobHeaderTemplate').html());
+            $(this.template({})).appendTo(table);
+
+            // create content
+            var tbody = $('<tbody />');
+            this.collection.each(function (model) {
+                var row = new my.JobOverViewRow({ model: model });
+                row.render();
+                row.$el.appendTo(tbody);
+            });
+            tbody.appendTo(table);
+            table.appendTo(this.$el);
+            if (prevSettings != null) {
+                this.table = table.dataTable({
+                    'aaSorting': prevSettings.aaSorting,
+                    'iDisplayLength' : prevSettings._iDisplayLength,
+                    'iDisplayStart' : prevSettings._iDisplayStart,
+                });
+                this.table.fnFilter(prevSettings.oPreviousSearch.sSearch);
+            } else {
+                this.table = table.dataTable();
+            }
+            this.highlightSelectedJob();
+        },
+        highlightSelectedJob: function () {
+            $('tr', this.table).removeClass('selectedRow');
+            if (this.selectedJob) {
+                $('tr[data-jobId="' + this.selectedJob + '"]', this.table).addClass('selectedRow');
+            }
+        },
+        rowClicked: function (row) {
+            var jobId = $(row.target).parent("tr").attr("data-jobId");
+            if (jobId) {
+                this.selectedJob = jobId;
+                this.highlightSelectedJob();
+                this.trigger('jobSelected', jobId);
+            }
+        },
+        deleteClicked: function (evt) {
+            var target = $(evt.target);
+            var id = target.attr('data-id');
+            var jobs = this.collection.where({ Id: id });
+            if (jobs.length == 1) {
+                jobs[0].destroy(); // triggers a remove event on this.collection -> DELETE /Job/1 will be called
+            }
+        }
+    });
+
+    my.JobOverViewRow = Backbone.View.extend({
+        render: function () {
+            this.template = _.template($('#jobRowTemplate').html());
+            this.setElement($(this.template(this.model.attributes)));
+        }
+    });
+
+    my.ResultView = Backbone.View.extend({
+        render: function () {
+            this.template = _.template($('#runTemplate').html());
+            this.$el.empty();
+            for (var i = 0; i < this.model.models.length; i++) {
+                var rev = new my.ResultEntryView({ model: this.model.models[i], el: this.$el });
+                rev.render();
+            }
+        }
+    });
+
+    my.AccordionView = Backbone.View.extend({
+        render: function () {
+            this.$el.accordion({
+                heightStyle: 'content',
+                collapsible: true,
+                active: false
+            });
+        },
+        refresh: function () {
+            this.$el.accordtion("refresh");
+        }
+    });
+
+    my.ResizableView = Backbone.View.extend({
+        events: {
+            'resizestop': 'resized'
+        },
+        render: function () {
+            this.$el.resizable();
+        },
+        resized: function (evt) {
+            this.trigger('resized', evt);
+        }
+    });
+
+    my.TabView = Backbone.View.extend({
+        // model structure: [{ name: 
+        events: {
+            'tabsactivate': 'tabActivated'
+        },
+        render: function () {
+            this.$el.empty();
+            var header = $('<ul />').appendTo(this.$el);
+            for (var i = 0; i < this.model.length; i++) {
+                var li = $('<li/>').appendTo(header);
+                var id = 'tab_' + my.PlotView.nextId() + '_' + i;
+                $('<a />').attr('href', '#' + id).text(this.model[i].name).appendTo(li);
+
+                var targetDiv = $('<div/>').attr('id', id).appendTo(this.$el);
+                $(this.model[i].content).appendTo(targetDiv);
+            }
+            this.$el.tabs({
+                collapsible: true,
+                active: false
+            });
+        },
+        tabActivated: function (event, ui) {
+            var tabElement = $(ui.newPanel[0]);
+            this.trigger('tab-activated', { name: ui.newTab.text(), element: tabElement });
+        }
+    });
+
+    my.ResultEntryView = Backbone.View.extend({
+        initialize: function () {
+            this.plotted = {};
+        },
+        render: function () {
+            this.template = _.template($('#runTemplate').html());
+            var table = $(this.template(this.model.attributes));
+            var body = $("tbody", table);
+            table.appendTo(this.$el);
+            var results = this.model.get('results');
+            for (var i = 0; i < results.length; i++) {
+                var row = $('<tr/>').attr('data-index', i);
+                $('<td/>').text(results[i].Name).appendTo(row);
+                //TODO: Switch Value type and create different items here
+                if ($.isArray(results[i].Value)) {
+                    var col = $('<td/>').appendTo(row);
+                    var tevDiv = $('<div/>');
+                    // TODO: REMOVE TABLEEDITVIEW and create it only on demand!!!
+                    // var tev = new my.TableEditView({ model: results[i].Value, el: tevDiv, useDatatable: true });
+                    // tev.render();
+                    var plotDiv = $('<div/>').appendTo($('#tmp'));
+                    //var pv = new PlotView({model: results[i], el: plotDiv});
+                    //pv.render();
+                    this.plotted[i] = {};
+                    var tv = new my.TabView({
+                        model: [
+                          { name: 'Table', content: tevDiv },
+                          { name: 'Plot', content: plotDiv },
+                        ],
+                        el: col
+                    });
+                    this.listenTo(tv, 'tab-activated', this.tabActivated);
+                    tv.render();
+
+                }
+                else {
+                    $('<td/>').text(results[i].Value).appendTo(row);
+                }
+                row.appendTo(body);
+            }
+        },
+        tabActivated: function (evt) {
+            var index = parseInt(evt.element.parents('tr').attr('data-index'));
+            if (evt.name == 'Plot' && !this.plotted[index].Plot) {
+                this.plotted[index].Plot = true;
+                var plotDiv = $('<div/>').appendTo($('#tmp'));
+                var pv = new my.PlotView({ model: this.model.get('results')[index], el: plotDiv });
+                pv.render();
+                plotDiv.appendTo(evt.element);
+                var rv = new my.ResizableView({ el: evt.element });
+
+                this.listenTo(rv, 'resized', function (evt) {
+                    plotDiv.height($(evt.target).height() * 0.96);
+                    plotDiv.width($(evt.target).width() * 0.96);
+                    pv.refresh();
+                });
+                rv.render();
+            } else if (evt.name == 'Table' && !this.plotted[index].Table) {
+                this.plotted[index].Table = true;
+                var tevDiv = $('<div/>');
+                var tev = new my.TableEditView({ model: this.model.get('results')[index].Value, rowNames: this.model.get('results')[index].RowNames, useDatatable: true, el: tevDiv });
+                tev.render();
+                tevDiv.appendTo(evt.element)
+            }
+        }
+    });
+    return my;
+} (OAAS_VIEW || {}, Backbone, _, $));
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/BaseController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/BaseController.cs	(revision 9324)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/BaseController.cs	(revision 9324)
@@ -0,0 +1,29 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using System.Web.Mvc;
+using HeuristicLab.Services.Optimization.Web.Helpers;
+
+namespace HeuristicLab.Services.Optimization.Web.Controllers
+{
+    public class BaseController : Controller
+    {
+      protected ControllerServiceHelper ControllerService {
+        get {
+          var helper = new ControllerServiceHelper(Session["pw"] as string);
+          RedirectToLoginIfNecessary();
+          return helper;
+        }
+      }
+
+      protected bool RedirectToLoginIfNecessary(string destination="%2fOptimization") {
+        var pw = Session["pw"] as string;
+        if (pw == null) {
+          Response.Redirect("/Account/Logon?ReturnUrl=" + destination);
+          return true;
+        }
+        return false;
+      }
+    }
+}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ExperimentController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ExperimentController.cs	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ExperimentController.cs	(revision 9324)
@@ -14,16 +14,6 @@
 {
     [Authorize(Roles = "Web User")]
-    public class ExperimentController : Controller
+    public class ExperimentController : BaseController
     {
-        private ControllerServiceHelper ControllerService {
-          get {
-            var helper = new ControllerServiceHelper(Session["pw"] as string);
-            if (!helper.Valid) {
-              Response.Redirect("/Account/Logon?ReturnUrl=%2fExperiment");
-            }
-            return helper;
-          }
-        }
-
         //
         // GET: /Experiment/
@@ -31,5 +21,6 @@
         public ActionResult Index()
         {
-          return RedirectToAction("New");
+          RedirectToLoginIfNecessary("%2fExperiment%2fIndex");
+          return RedirectToAction("New", "Experiment");
           /*var model = new ExperimentViewModel();
           var scenarios = ControllerService.withControllerService<IEnumerable<string>>((service) => {
@@ -49,10 +40,13 @@
 
         public ActionResult New() {
+          RedirectToLoginIfNecessary("%2fExperiment%2fNew");
           return View();
         }
 
         public ActionResult NewEdit() {
+          RedirectToLoginIfNecessary("%2fExperiment%2fNewEdit");
           return View();
         }
+
 
         public ActionResult Edit() {
@@ -65,13 +59,5 @@
             model.Experiments.Add(experiment);
           return View(model);
-        }
-
-        public ActionResult DeleteExperiment(string experiment) {
-          ControllerService.withControllerService<bool>((service) => {
-            User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            return service.DeleteExperiment(u, experiment);
-          });
-          return RedirectToAction("Edit");
-        }
+        } 
 
       #region new experiment methdos
@@ -88,5 +74,5 @@
         var experiments = ControllerService.withControllerService<IEnumerable<Experiment>>(service => {
           User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-          return service.GetExperiments(u);
+          return service.GetExperiments(u, namesOnly: true);
         });
         return Content(AlgorithmConverter.ConvertExperimentsToJson(experiments).ToString(), "application/json", System.Text.Encoding.UTF8);
@@ -124,4 +110,13 @@
       }
 
+      [HttpDelete]
+      [ActionName("Experiment")]
+      public JsonResult DeleteExperiment(string nodeId) {
+        var isExperimentDeleted = ControllerService.withControllerService<bool>(service => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.DeleteExperiment(u, nodeId);
+        });
+        return Json(isExperimentDeleted, JsonRequestBehavior.DenyGet);
+      }
 
       [HttpGet]
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/JobController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/JobController.cs	(revision 9324)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/JobController.cs	(revision 9324)
@@ -0,0 +1,60 @@
+﻿using System; 
+using System.Collections.Generic;
+using System.Linq;
+using System.Web;
+using System.Web.Mvc;
+using HeuristicLab.Services.Optimization.ControllerService.Parsers;
+using HeuristicLab.Services.Optimization.ControllerService.Model;
+using HeuristicLab.Services.Optimization.Web.Models;
+
+using System.Web.Security;
+
+namespace HeuristicLab.Services.Optimization.Web.Controllers
+{
+    [Authorize(Roles = "Web User")]
+    public class JobController : BaseController
+    {
+      //
+      // GET: /Job/   
+      public ActionResult Index() {
+        RedirectToLoginIfNecessary("%2fJob");
+        return View();
+      }
+
+      [HttpDelete]
+      public JsonResult Job(string jobId) {
+        var success = ControllerService.withControllerService<bool>((service) => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.DeleteJob(u, jobId);
+        });
+        return Json(success, JsonRequestBehavior.DenyGet);
+      }
+
+      [HttpGet]
+      public JsonResult JobList() {
+        var jobs = ControllerService.withControllerService<IEnumerable<Job>>((service) => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.GetJobs(u);
+        });
+        return Json(jobs, JsonRequestBehavior.AllowGet);
+      }
+
+      /*[HttpGet]
+      public JsonResult Job(string jobId) {
+        var job = ControllerService.withControllerService<Job>((service) => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.GetJob(u, jobId);
+        });
+        return Json(job, JsonRequestBehavior.AllowGet);
+      }*/
+
+      [HttpGet]
+      public ActionResult RunList(string jobId) {
+        var runs = ControllerService.withControllerService<IList<Run>>((service) => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.GetJobResults(u, jobId);
+        });
+        return Content(AlgorithmConverter.ConvertRunsToJson(runs).ToString(), "application/json", System.Text.Encoding.UTF8);
+      }
+    }
+}
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OptimizationController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OptimizationController.cs	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/OptimizationController.cs	(revision 9324)
@@ -32,4 +32,6 @@
         public ActionResult Index()
         {
+          return RedirectToAction("Index", "Job");
+          /*
           var optModel = ControllerService.withControllerService<OptimizationModel>((service) => {
             OptimizationModel model = new OptimizationModel();
@@ -40,4 +42,5 @@
           });          
           return View(optModel);
+           */
         }
 
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9324)
@@ -105,4 +105,7 @@
     <Content Include="Content\backbone\underscore-min.js" />
     <Content Include="Content\backbone\underscore.js" />
+    <Content Include="Content\general.view.js" />
+    <Content Include="Content\job.controller.js" />
+    <Content Include="Content\job.model.js" />
     <Content Include="Content\Datatypemapping.js" />
     <Content Include="Content\dynatree\dist\jquery.dynatree.min.js" />
@@ -120,7 +123,9 @@
     <Compile Include="Controllers\AccountController.cs" />
     <Compile Include="Controllers\AdminController.cs" />
+    <Compile Include="Controllers\BaseController.cs" />
     <Compile Include="Controllers\ChartController.cs" />
     <Compile Include="Controllers\ExperimentController.cs" />
     <Compile Include="Controllers\HomeController.cs" />
+    <Compile Include="Controllers\JobController.cs" />
     <Compile Include="Controllers\OptimizationController.cs" />
     <Compile Include="Controllers\StatusController.cs" />
@@ -158,4 +163,5 @@
     <Content Include="Content\datatable\images\sort_desc_disabled.png" />
     <Content Include="Content\hl\images\ajax-loader.gif" />
+    <Content Include="Content\job.view.js" />
     <Content Include="Content\jqplot\src\changes.txt" />
     <Content Include="Content\jqplot\src\excanvas.js" />
@@ -230,4 +236,5 @@
     <Content Include="Content\jqplot\src\plugins\jqplot.trendline.js" />
     <Content Include="Content\jqplot\src\usage.txt" />
+    <Content Include="Content\moment.min.js" />
     <Content Include="Content\Styling.js" />
     <Content Include="Content\hl\images\._bg_footer.png" />
@@ -384,4 +391,5 @@
     <Content Include="Views\Experiment\New.cshtml" />
     <Content Include="Views\Experiment\NewEdit.cshtml" />
+    <Content Include="Views\Job\Index.cshtml" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/New.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/New.cshtml	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/New.cshtml	(revision 9324)
@@ -70,7 +70,14 @@
 <script type="text/template" id="checkbox_template">
 <div>
-    <input type="checkbox" name="<%=name%>"/><%=text%><br/>
-</div>
-</script>       
+    <input type="checkbox" name="<%=name%>"
+        <% if (checked) { %>
+            checked
+        <% } %>
+    />
+    <% if (!hideText) { %>
+         <%=text%><br/>
+    <% } %>
+</div>
+</script>   
 
 <script type="text/template" id="variation_generator_template">
@@ -93,5 +100,5 @@
 
 <script type="text/javascript">
-    var controller = new ExperimentPageController();
+    var controller = new OAAS_CONTROLLER.ExperimentPageController();
     $(document).ready(function () {
         controller.create();
@@ -141,8 +148,12 @@
     <div id="container" class="treeStyle"></div>    
     <p>Choose an algorithm:</p>
-    <div id="algorithms"></div>
+    <div id="algorithms">
+        <span>Loading ... <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" />  </span>        
+    </div>
     <div class="clearer"></div>
     <p>Choose from your stored experiments:</p>
-    <div id="experiments"></div>
+    <div id="experiments">
+        <span>Loading ... <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" />  </span>        
+    </div>
   </fieldset>
   </div>
@@ -196,6 +207,6 @@
 @section submenu {
     <ul>
-        <li class="selected">@Html.ActionLink("Build", "New")</li>    
-        <li>@Html.ActionLink("Edit", "NewEdit")</li>
+        <li class="selected">@Html.ActionLink("Build", "New", "Experiment")</li>    
+        <li>@Html.ActionLink("Edit", "NewEdit", "Experiment")</li>
         <li>@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/NewEdit.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/NewEdit.cshtml	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/NewEdit.cshtml	(revision 9324)
@@ -70,5 +70,12 @@
 <script type="text/template" id="checkbox_template">
 <div>
-    <input type="checkbox" name="<%=name%>"/><%=text%><br/>
+    <input type="checkbox" name="<%=name%>"
+        <% if (checked) { %>
+            checked
+        <% } %>
+    />
+    <% if (!hideText) { %>
+         <%=text%><br/>
+    <% } %>
 </div>
 </script>       
@@ -93,5 +100,5 @@
 
 <script type="text/javascript">
-    var controller = new ExperimentEditPageController();
+    var controller = new OAAS_CONTROLLER.ExperimentEditPageController();
     $(document).ready(function () {
         controller.create();
@@ -145,5 +152,10 @@
   <div id="step1">
   <fieldset>        
-    <div id="experiments"></div>
+    <div id="experiments">
+        <span>Loading ... <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" />  </span>        
+    </div>
+    <div class="experimentMenu">
+        <button type="button" disabled="disabled" id="deleteExperimentButton">Delete</button>
+    </div>
   </fieldset>
   </div>
@@ -210,6 +222,6 @@
 @section submenu {
     <ul>
-        <li>@Html.ActionLink("Build", "New")</li>    
-        <li class="selected">@Html.ActionLink("Edit", "NewEdit")</li>
+        <li>@Html.ActionLink("Build", "New", "Experiment")</li>    
+        <li class="selected">@Html.ActionLink("Edit", "NewEdit", "Experiment")</li>
         <li>@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Job/Index.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Job/Index.cshtml	(revision 9324)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Job/Index.cshtml	(revision 9324)
@@ -0,0 +1,100 @@
+﻿@section customHeader {
+    <script type='text/javascript' src='@Url.Content("~/Content/job.model.js")'></script>
+    <script type='text/javascript' src='@Url.Content("~/Content/job.view.js")'></script>
+    <script type='text/javascript' src='@Url.Content("~/Content/job.controller.js")'></script>
+    <script type='text/javascript' src='@Url.Content("~/Content/moment.min.js")'></script>
+}
+
+@{
+    ViewBag.Title = "Jobs";
+}
+
+<script type="text/template" id="loadingTemplate">
+    <span><%= text %> <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" class="hugeLoading" /> </span>
+</script>
+
+<script type="text/template" id="jobRowTemplate">
+<tr data-jobId="<%= Id%>">
+  <td><%= Id%></td>
+  <td>
+    <%= moment(DateCreated).format('YYYY-MM-DD HH:mm:ss') %>
+  </td>
+  <td><%= Name%></td>
+  <td><%= Resource%></td>  
+  <td>
+  <% if (Loading) { %>
+    <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" class="loader" />
+  <% }%>
+  <% if (State == 0) { %>    
+  <span>Waiting...</span>
+  <% } else if (State == 1) { %>
+  <span>Calculating...</span>
+  <% } else if (State == 2) { %>
+  <img src="@Url.Content("~/Content/warning-2.png")" alt="Loading animation" class="loader" />
+  <span>Aborted</span>
+  <% } else if (State == 3) { %>
+  <img src="@Url.Content("~/Content/warning-2.png")" alt="Loading animation" class="loader" />
+  <span>Failed</span>
+  <% } else { %>
+  <img src="@Url.Content("~/Content/ok-2.png")" alt="Loading animation" class="loader" />
+  <span>Finished</span>
+  <% } %>  
+  </td>
+  <td><button type="button" data-id="<%= Id %>" data-name="DeleteButton" >Delete</Button></td>
+</tr>
+</script>
+
+<script type="text/template" id="jobHeaderTemplate">
+<thead>
+<tr>
+  <th>Id</th>
+  <th>Created</th>
+  <th>Name</th>
+  <th>Resource</th>
+  <th>State</th>
+  <td>Delete</td>
+</tr>
+</thead>
+</script>
+
+<script type="text/template" id="runTemplate">
+  <h3><%= name %></h3>
+  <div>
+    <table>
+      <thead>
+        <tr>
+          <td>Key</td>
+          <td>Value</td>
+        </tr>
+      </thead>
+      <tbody>
+      </tbody>
+    </table>
+  </div>
+</script>
+
+
+<script type='text/javascript'>
+$(document).ready(function () {
+    var ctrl = new OAAS_CONTROLLER.JobPageController();
+    ctrl.create();
+  });
+
+</script>
+<noscript>
+<p>
+  Please activate JavaScript to view this page correctly!
+</p>
+</noscript>
+
+<h1>Job overview</h1>
+<div id='jobOverview' style='overflow: auto; height: 450px' class='bigImage'>
+    <p>Loading jobs... Please be patient...</p>
+    <img src="@Url.Content("~/Content/ajax-loader.gif")" alt="Loading animation" class="hugeLoading" />
+</div>
+
+
+<h1>Job results</h1>
+<div id='jobDetails'></div>
+<div id='tmp'>
+</div>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Shared/_Layout.cshtml	(revision 9324)
@@ -32,5 +32,5 @@
 
     <!-- Experiment Additions -->
-    <script src="@Url.Content("~/Content/Datatypemapping.js")" type="text/javascript"></script>
+    
     <link href="@Url.Content("~/Content/smartwizard2.0/styles/smart_wizard.css")" rel="stylesheet" type="text/css" />
     <script type="text/javascript" src="@Url.Content("~/Content/smartwizard2.0/js/jquery.smartWizard-2.0.min.js")"></script>
@@ -40,7 +40,10 @@
     <script type='text/javascript' src='@Url.Content("~/Content/backbone/backbone-relational.js")'></script>
 
+    <script src="@Url.Content("~/Content/Datatypemapping.js")" type="text/javascript"></script>
     <script type='text/javascript' src='@Url.Content("~/Content/experiment.model.js")'></script>
     <script type='text/javascript' src='@Url.Content("~/Content/experiment.view.js")'></script>
     <script type='text/javascript' src='@Url.Content("~/Content/experiment.controller.js")'></script>
+
+    @RenderSection("customHeader", required: false)
 </head>
 <body>
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Status/Index.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Status/Index.cshtml	(revision 9323)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Status/Index.cshtml	(revision 9324)
@@ -103,6 +103,6 @@
 @section submenu {
     <ul>
-        <li>@Html.ActionLink("Build", "Index")</li>    
-        <li>@Html.ActionLink("Edit", "Edit")</li>
+        <li>@Html.ActionLink("Build", "New", "Experiment")</li>    
+        <li>@Html.ActionLink("Edit", "NewEdit", "Experiment")</li>
         <li class="selected">@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>
